package org.springblade.device.feign;

import org.springblade.device.entity.IotDeviceDetail;
import org.springblade.device.vo.IotDeviceDetailVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class IotDeviceDetailClientFallback implements IIotDeviceDetailClient {
            /**
         * 详情
         */
        @Override
        public IotDeviceDetailVO detail(IotDeviceDetail iotDeviceDetail) {
            return null;
        }

        /**
         * 查询 
         */
        @Override
        public List<IotDeviceDetailVO> list(IotDeviceDetail iotDeviceDetail) {
            return null;
        }

    

        /**
         * 新增 
         */
        @Override
        public boolean save( IotDeviceDetail iotDeviceDetail) {
            return false;
        }

        /**
         * 修改 
         */
        @Override
        public boolean update( IotDeviceDetail iotDeviceDetail) {
            return false;
        }

        /**
         * 新增或修改 
         */
        @Override
        public boolean submit( IotDeviceDetail iotDeviceDetail) {
            return false;
        }

    
        /**
         * 删除 
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
